@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap");

* {
  margin: 0;
  padding: 0;
  font-family: "Montserrat", sans-serif;
  box-sizing: border-box;
}

a {
  color: black;
}

.year {
  font-weight: 500;
}

.color-main {
  --color: #5dade2;
}

.color-sco {
  --color: #f39c12;
}

.color-work {
  --color: #a569bd;
}

.color-project {
  --color: #52be80;
}

body {
  display: flex;
  justify-content: center;

  -webkit-print-color-adjust: exact !important;
  print-color-adjust: exact !important;
}

.wrapper {
  max-width: 820px;
  width: 100%;
  padding: 10px;
}

.two-columns {
  display: flex;
  justify-content: space-between;
}

@media screen and (max-width: 820px) {
  .two-columns {
    flex-direction: column;
    max-width: 100%;
  }
}

/* Left Column */
.left-column {
  display: flex;
  flex-direction: column;
  width: 315px;
}

@media screen and (max-width: 820px) {
  .left-column {
    width: 100%;
  }
}

.graybox {
  border: 1px solid lightgray;
  border-radius: 5px;
  background-color: rgb(246, 245, 245);
  padding: 5px;
  width: 100%;
  margin-bottom: 10px;
}

/* @media screen and (max-width: 820px) {
  .graybox {
    text-align: center;
  }
} */

.first-line {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

@media screen and (max-width: 820px) {
  .first-line {
    justify-content: center;
    margin-bottom: 10px;
  }

  .first-line h1 {
    margin-left: 10px;
  }
}

.hidden-large {
  display: none;
}

@media screen and (max-width: 820px) {
  .hidden-large {
    display: block;
    text-align: center;
  }
}

.contact-info {
  text-align: center;
}

.subtitle {
  font-size: 16px;
  font-style: italic;
  margin-top: 10px;
  text-align: center;
}

.portefolio {
  text-align: center;
  margin-top: 10px;
}

.avatar {
  width: 64px;
  border-radius: 40px;
}

.avatar-photo {
  display: none;
}

#avatarContainer {
  height: 64px;
}

#avatarContainer:hover .avatar-dessin {
  display: none;
}

#avatarContainer:hover .avatar-photo {
  display: block;
}

.link-div {
  display: flex;
  justify-content: center;
  margin-top: 10px;
  align-items: center;
  height: 40px;
}

.link-print {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-evenly;
  margin-top: 10px;
  align-items: center;
}

.link-print p {
  display: flex;
  align-items: center;
  font-size: 12px;
  margin-top: 2px;
}

.link-print img {
  height: 20px;
  margin-right: 2px;
}

.link {
  margin-left: 5px;
  margin-right: 5px;
}

.link-icon {
  height: 32px;
  transition: height 0.5s;
}

.link-icon:hover {
  height: 40px;
}

.skills-icon-div {
  display: flex;
  margin-top: 10px;
  justify-content: center;
  flex-wrap: wrap;
  gap: 10px;
}

@media screen and (max-width: 820px) {
  .skills-icon-div {
    justify-content: center;
  }

  .skills-icon-div img {
    margin-left: 10px;
    margin-right: 10px;
  }
}

.skills-icon-div img {
  height: 20px;
}

.skill-text {
  text-align: center;
  margin-top: 5px;
}

.graybox h3 {
  margin-top: 10px;
  font-size: 16px;
}

.graybox ul {
  /* margin-left: 15px; */
  list-style-position: inside;
}

/* @media screen and (max-width: 820px) {
  .graybox li {
    list-style-type: none;
  }
} */

.skillbox {
  padding: 10px;
}

/* Right Column */
.right-column {
  width: 470px;
}

@media screen and (max-width: 820px) {
  .right-column {
    width: 100%;
    padding-left: 15px;
  }
}

/* Git line */
.git-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding-top: 9px;
  position: relative;
  /* position: absolute; */
  min-height: 16px;
  max-height: 300px;
  transition-property: max-height padding-top;
  transition-duration: 0.5s;
}

#main-commit {
  height: 45px;
}

@media screen and (max-width: 820px) {
  .hidden-small {
    display: none;
  }

  #main-commit {
    height: 35px;
  }
}

.git-row > p {
  max-width: 85%;
}

.git-row.hidable {
  overflow: hidden;
}

.project-info {
  flex-wrap: wrap;
}

.small-icon {
  height: 16px;
  margin-left: 5px;
  margin-right: 5px;
}

.project-row {
  max-width: 85%;
}

.project-desc {
  font-style: italic;
  font-size: 13px;
}

.project-work {
}

.git-row.hidden {
  padding-top: 0px;
  min-height: 0;
  max-height: 0px;
}

.more-info-icon {
  width: 16px;
  margin-left: 5px;
  transition: rotate 0.5s;
}

.more-info-icon.opened {
  rotate: 180deg;
}

.git-row.more-info:hover {
  cursor: pointer;
}

.git-separator:not(.first) {
  margin-top: 7px;
}

.git-start {
  border: 6px solid var(--color);
  width: 16px;
  height: 16px;
  /* align-self: stretch; */
  border-radius: 25px;
  margin-left: -6px;
  color: white;
  margin-right: 20px;
}

.git-line {
  width: 5px;
  background-color: var(--color);
  align-self: stretch;
  margin-top: -21px;
  margin-right: 30px;
  position: relative;
}

.last-line {
  /* align-self: center; */
  /* height: 10px; */
  margin-bottom: 7px;
  border-radius: 60px;
}

.git-line-final {
  border-radius: 0 0 5px 5px;
  margin-bottom: 7px;
}

.last-line .git-dot {
  bottom: 0px;
}

.git-line-second {
  width: 5px;
  background-color: var(--color);
  align-self: stretch;
  margin-top: -22px;
  margin-right: 10px;
  margin-left: -15px;
  position: relative;
}

/* .git-line:not(:first-child) {
  margin-right: 30px;
} */

.git-dot {
  background-color: var(--color);
  width: 11px;
  height: 11px;
  position: absolute;
  left: -3px;
  top: 25px;
  border-radius: 10px;
  z-index: 10;
}

.git-dot-new-branch {
  background-color: var(--color);
  width: 11px;
  height: 11px;
  position: absolute;
  left: -3px;
  top: 29px;
  border-radius: 10px;
  z-index: 10;
}

.branch-name {
  font-weight: 400;
  font-size: 15px;
  border: solid 1px var(--color);
  border-radius: 3px;
  margin-right: 5px;
  padding: 2px;
}

.git-other-branch {
  position: absolute;
  left: 0;
  z-index: -1;
  background-color: var(--color);
  height: 5px;
  width: 20px;
  position: absolute;
  top: 21px;
}

.git-other-branch-angle {
  background-color: var(--color);
  height: 5px;
  width: 5px;
  border-radius: 0 5px 0 0;
  position: absolute;
  top: 21px;
  left: 20px;
}

.more-info-text {
  width: 85%;
  font-size: 14px;
  margin-left: 15px;
}

.hidden-normal {
  display: none;
}

@media print {
  .wrapper {
    margin-top: 0px;
    margin-bottom: 0px;
    padding: 0;
  }

  .right-column {
    margin-left: 20px;
  }

  h1 {
    font-size: 28px;
  }

  h2 {
    font-size: 18px;
  }

  .graybox h2 {
    font-size: 20px;
  }

  h3 {
    font-size: 16px;
  }

  p {
    font-size: 14px;
  }

  li {
    font-size: 14px;
  }

  .right-column {
    width: 420px;
  }

  .git-separator {
    height: 39px;
  }

  .avatar-dessin {
    display: none;
  }

  .avatar-photo {
    display: block;
  }

  .hidden-print {
    display: none;
  }

  .hidden-normal {
    display: flex;
  }
}

/* Projects */
.center {
  text-align: center;
}

#projects {
  padding: 10px;
  margin-top: 10px;
}

.emoji {
  height: 16px;
  width: auto;
  margin: 0;
  display: inline;
  vertical-align: middle;
}
